<?php

if (!defined("MODULE_FILE")) {

	Header("Location: ../../index.php");

	exit;

}

$module_name = basename(dirname(__FILE__));

get_lang($module_name);

require_once("function/comments.php");

include("config/config_fields.php");



function news($new_topic=0) {

	global $db, $storyhome, $topicname, $topicimage, $topictext, $datetime, $user, $prefix, $multilingual, $currentlang, $sitename, $user_news, $pagenum, $anonymous, $module_name, $pagetitle, $defis;

	$querylang = ($multilingual == 1) ? "AND (alanguage='$currentlang' OR alanguage='')" : "";

	$new_topic = (isset($new_topic)) ? intval($new_topic) : 0;

	$storynum = (isset($user[3]) && $user_news == 1) ? intval($user[3]) : $storyhome;

	if ($new_topic == 0) {

		$qdb = "WHERE ihome='0' AND s.time <= NOW() AND status='1'";

		$pagetitle = "$defis "._NEWS."";

		head();

    } else {

		$qdb = "WHERE topic='$new_topic' AND s.time <= NOW() AND status='1'";

		list($topic_title) = $db->sql_fetchrow($db->sql_query("SELECT topictext FROM ".$prefix."_topics WHERE topicid='$new_topic'"));

		$pagetitle = "$defis "._NEWS." $defis $topic_title";

		head();

        OpenTable();

        if (!$topic_title) {

			echo "<center><font class=\"title\">$sitename</font><br /><br />"._NOINFO4TOPIC."<br /><br />[ <a href=\"index.php?name=News\">"._GOTONEWSINDEX."</a> | <a href=\"index.php?name=Topics\">"._SELECTNEWTOPIC."</a> ]</center>";

        } else {

			echo "<center><font class=\"title\">$topic_title</font><br><br>"

			."[ <a href=\"index.php\">"._GOTOHOME."</a> | <a href=\"index.php?name=Topics\">"._SELECTNEWTOPIC."</a> ]</center>";

		}

        CloseTable();

	}

	$pagenum = (!$pagenum) ? 1 : $pagenum;

    /*--------------начало вставки----------*/

	/*    © Serg_pnz http://www.ponedelnikov.net e-mail: print58@yandex.ru         */

	/*--------------начало настроек----------*/
	# если нужно другое число новостей, которое нельзя поставить в админке, раскомментируйте строчку $storynum = 2;
	# и задайте значение по своему усмотрению (фактически вы зададите число строк).
	# если оставите без изменений, то будет принято число, заданное в админке модуля

	$storynum = 10;
	$napravl = 2; # 1 - сначала вниз, потом вправо; 2 - сначала вправо, потом вниз
	$kolvo_kolonok = 2; # количество колонок
	/*--------------конец настроек----------*/

	$width_tab = 100/$kolvo_kolonok;
	$storynumold = $storynum;
	$storynum = $storynum * $kolvo_kolonok;
	$i = 1;
	echo "<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">";
	if ($napravl == 1) {
    echo "<tr><td width=\"".$width_tab."%\" valign=\"top\"> $i";
    }
	/*--------------конец вставки----------*/

	$offset = ($pagenum-1) * $storynum;

	$offset = intval($offset);

	$storynum = intval($storynum);

	$result = $db->sql_query("SELECT sid, s.catid, s.aid, s.title, s.time, s.hometext, s.bodytext, s.comments, s.counter, s.topic, s.acomm, s.score, s.ratings, c.title, t.topicid, t.topicname, t.topicimage, t.topictext FROM ".$prefix."_stories AS s LEFT JOIN ".$prefix."_stories_cat AS c on (s.catid=c.catid) LEFT JOIN ".$prefix."_topics AS t on (s.topic=t.topicid) $qdb $querylang ORDER BY s.time DESC LIMIT $offset, $storynum");

	while (list($s_sid , $catid, $aid, $title, $time, $hometext, $bodytext, $comments, $counter, $topic, $acomm, $score, $ratings, $ctitle, $topicid, $topicname, $topicimage, $topictext) = $db->sql_fetchrow($result)) {

    /*--------------начало вставки----------*/
	if ($napravl == 2) {if (($i-1)%$kolvo_kolonok == 0) {echo "<tr>";}echo "<td width=\"".$width_tab."%\"  valign=\"top\">"; }
	/*--------------конец вставки----------*/

    if ($catid > 0) $cattitle = $ctitle;

		$topicimage = ($topicimage) ? $topicimage : "AllTopics.gif";

		$topictext = ($topictext) ? $topictext : ""._ALL."";

		formatTimestamp($time);

        $c_count = $comments;

        if ($catid != 0) {

            $title_cat = text_filter($ctitle);

			$story_link = "<a href=\"index.php?name=News&op=article&sid=$s_sid\" title=\"$title_cat - $title\">";

			$story_link_c = "<a href=\"index.php?name=News&op=article&sid=$s_sid#$s_sid\" title=\"$title_cat - $title\">";

            $title = "<a href=\"index.php?name=News&op=cat&catid=$catid\" title=\"$title_cat\"><font class=\"storycat\">$title_cat</a> - </font><a href=\"index.php?name=News&op=article&sid=$s_sid\" title=\"$title\"><font class=\"storytitle\">$title</font></a>";

        } else {

			$story_link = "<a href=\"index.php?name=News&op=article&sid=$s_sid\" title=\"$title\">";

			$story_link_c = "<a href=\"index.php?name=News&op=article&sid=$s_sid#$s_sid\" title=\"$title\">";

			$title = "<a href=\"index.php?name=News&op=article&sid=$s_sid\" title=\"$title\"><font class=\"storytitle\">$title</font></a>";

		}

        if ($acomm == 0) {

			if ($c_count == 0) {

				$m_com = "| $story_link_c"._COMMENTS."</a>";

			} elseif ($c_count == 1) {

				$m_com = "| $story_link_c"._COMMENT.": $c_count</a>";

			} elseif ($c_count > 1) {

				$m_com = "| $story_link_c"._COMMENTS.": $c_count</a>";

			}

        } else {

			$m_com = "";

		}

		$posted = ($aid) ? "<a href=\"index.php?name=Account&op=info&uname=$aid\">$aid</a>" : $anonymous;

		$morelink = "<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\"><tr><td align=\"left\">$story_link<b>"._READMORE."</b></a> <td align=\"right\">"._PDATE.": $datetime </td></tr></table>";

        if ($score != 0) {

            $rated = substr($score / $ratings, 0, 4);

        } else {

            $rated = 0;

        }

        $morelink = str_replace(" |  | ", " | ", $morelink);

		$cimg = ($topicimage) ? "<a href=\"index.php?name=$module_name&new_topic=$topicid\"><img src=\"images/topics/".$topicimage."\" border=\"0\" alt=\"$topictext\" title=\"$topictext\" align=\"right\" hspace=\"10\" vspace=\"10\"></a>" : "";

        basic($aid, $datetime, $title, $counter, bb_decode($hometext), $morelink, $topicid, $cimg, $topicname);

        /*--------------начало вставки----------*/
	if ($napravl == 1) {if ($i%($storynum/$kolvo_kolonok)==0) {echo "</td><td width=\"".$width_tab."%\"  valign=\"top\">$i";}$i++;}
	else {echo "</td>"; if ($i%$kolvo_kolonok == 0) {echo "</tr>";}	$i++;}
	/*--------------конец вставки----------*/

    }

    /*--------------начало вставки----------*/
	if ($napravl == 1) {echo "</td></tr>";}echo "</table>";
	/*--------------конец вставки----------*/

	list($numstories) = $db->sql_fetchrow($db->sql_query("SELECT Count(sid) AS csid FROM ".$prefix."_stories AS s $qdb $querylang"));

	$numpages = ceil($numstories / $storynum);

	if (isset($new_topic)) {

		num_page($module_name, $numstories, $numpages, $storynum, "new_topic=".$new_topic."&");

	} else {

		num_page($module_name, $numstories, $numpages, $storynum);

	}

    foot();

}



function cat($catid) {

    global $storyhome, $topicname, $topicimage, $topictext, $datetime, $user, $prefix, $multilingual, $currentlang, $db, $module_name, $pagenum;

	head();

	$querylang = ($multilingual == 1) ? "AND (alanguage='$currentlang' OR alanguage='')" : "";

	$storynum = (isset($user[3])) ? intval($user[3]) : $storyhome;

    $catid = intval($catid);

	$pagenum = (!$pagenum) ? 1 : $pagenum;

    $offset = ($pagenum-1) * $storynum;

	$offset = intval($offset);

	$storynum = intval($storynum);

	$sql = "SELECT sid, s.catid, s.aid, s.title, s.time, s.hometext, s.bodytext, s.comments, s.counter, s.topic, s.acomm, s.score, s.ratings, c.title, t.topicid, t.topicname, t.topicimage, t.topictext FROM ".$prefix."_stories AS s LEFT JOIN ".$prefix."_stories_cat AS c on (s.catid=c.catid) LEFT JOIN ".$prefix."_topics AS t on (s.topic=t.topicid) WHERE s.catid='$catid' AND s.time <= NOW() AND status='1' $querylang ORDER BY s.time DESC LIMIT $offset, $storynum";

	$result = $db->sql_query($sql);

	while (list($s_sid , $catid, $aid, $title, $time, $hometext, $bodytext, $comments, $counter, $topic, $acomm, $score, $ratings, $ctitle, $topicid, $topicname, $topicimage, $topictext) = $db->sql_fetchrow($result)) {

		$n_catid = intval($catid);

		if ($catid > 0) $cattitle = $ctitle;

		$topicimage = ($topicimage) ? $topicimage : "AllTopics.gif";

		$topictext = ($topictext) ? $topictext : ""._ALL."";

		formatTimestamp($time);

        $c_count = $comments;

		$title_cat = text_filter($ctitle);

		$story_link = "<a href=\"index.php?name=News&op=article&sid=$s_sid\" title=\"$title_cat - $title\">";

		$story_link_c = "<a href=\"index.php?name=News&op=article&sid=$s_sid#$s_sid\" title=\"$title_cat - $title\">";

		$title = "<a href=\"index.php?name=News&op=cat&catid=$catid\" title=\"$title_cat\"><font class=\"storycat\">$title_cat</a> - </font><a href=\"index.php?name=News&op=article&sid=$s_sid\" title=\"$title\"><font class=\"storytitle\">$title</font></a>";

		if ($acomm == 0) {

			if ($c_count == 0) {

				$m_com = "| $story_link_c"._COMMENTS."</a>";

			} elseif ($c_count == 1) {

				$m_com = "| $story_link_c"._COMMENT.": $c_count</a>";

			} elseif ($c_count > 1) {

				$m_com = "| $story_link_c"._COMMENTS.": $c_count</a>";

			}

		} else {

			$m_com = "";

        }

		$posted = ($aid) ? "<a href=\"index.php?name=Account&op=info&uname=$aid\">$aid</a>" : $anonymous;

		$morelink = "<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\"><tr><td align=\"left\">$story_link<b>"._READMORE."</b></a> | "._PDATE.": $datetime | "._POSTEDBY.": $posted | "._READS.": $counter $m_com <td align=\"right\"><a href=\"index.php?name=News&op=printpage&sid=$s_sid\"><img src=\"images/blocks/Print.gif\" border=\"0\" alt=\""._PRINTER."\" title=\""._PRINTER."\" align=\"center\"></a>&nbsp;&nbsp;<a href=\"index.php?name=News&op=friendsend&sid=$s_sid\"><img src=\"images/blocks/Contact.gif\" border=\"0\" alt=\""._FRIEND."\" title=\""._FRIEND."\" align=\"center\"></a></td></tr></table>";

        if ($score != 0) {

            $rated = substr($score / $ratings, 0, 4);

        } else {

            $rated = 0;

        }

        $morelink = str_replace(" |  | ", " | ", $morelink);

		$cimg = ($topicimage) ? "<a href=\"index.php?name=$module_name&new_topic=$topicid\"><img src=\"images/topics/".$topicimage."\" border=\"0\" alt=\"$topictext\" title=\"$topictext\" align=\"right\" hspace=\"10\" vspace=\"10\"></a>" : "";

		basic($aid, $datetime, $title, $counter, bb_decode($hometext), $morelink, $topicid, $cimg, $topicname);

	}

	list($numstories) = $db->sql_fetchrow($db->sql_query("SELECT Count(catid) AS csid FROM ".$prefix."_stories AS s WHERE s.catid='$n_catid' AND s.time <= NOW() AND status='1' $querylang"));

	$numpages = ceil($numstories / $storynum);

	num_page($module_name, $numstories, $numpages, $storynum, "op=cat&catid=".$n_catid."&");

	foot();

}



function article($sid) {

	global $db, $storyhome, $topicname, $topicimage, $topictext, $datetime, $user, $prefix, $conffi, $multilingual, $currentlang, $sitename, $user_news, $pagenum, $anonymous, $module_name, $pagetitle, $defis, $admin_file, $hometext, $bodytext;

	$sid = intval($sid);

	$result = $db->sql_query("SELECT s.catid, s.aid, s.time, s.title, s.hometext, s.bodytext, s.field, s.counter, s.topic, s.acomm, s.score, s.ratings, s.associated, c.title, t.topicid, t.topicname, t.topicimage, t.topictext FROM ".$prefix."_stories AS s LEFT JOIN ".$prefix."_stories_cat AS c on (s.catid=c.catid) LEFT JOIN ".$prefix."_topics AS t on (s.topic=t.topicid) WHERE sid='$sid' AND s.time <= NOW() AND status='1'");

	if ($db->sql_numrows($result) == 1) {

		list($catid, $aid, $time, $title, $hometext, $bodytext, $field, $counter, $topic, $acomm, $score, $ratings, $associated, $ctitle, $topicid, $topicname, $topicimage, $topictext) = $db->sql_fetchrow($result);

		$db->sql_query("UPDATE ".$prefix."_stories SET counter=counter+1 where sid='$sid'");

		$pagetitle = ($catid != 0) ? "$defis "._NEWS." $defis $ctitle $defis $title" : "$defis "._NEWS." $defis $title";

		head();

		formatTimestamp($time);

		$fields = ($conffi['news']) ? fields_out($field, $conffi['news']) : "";

		$fields = ($fields) ? "<br /><br />".$fields."" : "";

		$bodytext = (!$bodytext) ? "".$hometext."".$fields."" : "".$hometext."<br /><br />".$bodytext."".$fields."";

		$title = ($catid != 0) ? "<a href=\"index.php?name=$module_name&op=cat&catid=$catid\"><font class=\"storycat\">$ctitle</a> - </font><font class=\"storytitle\">$title</font>" : "<font class=\"storytitle\">$title</font>";

		$topicimage = ($topicimage) ? $topicimage : "AllTopics.gif";

		$topictext = ($topictext) ? $topictext : ""._ALL."";

		$posted = ($aid) ? ""._POSTEDBY.": <a href=\"index.php?name=Account&op=info&uname=$aid\">$aid</a> | "._DATE.": $datetime" : ""._POSTEDBY.": $anonymous | "._DATE.": $datetime";

		$cimg = ($topicimage) ? "<a href=\"index.php?name=$module_name&new_topic=$topicid\"><img src=\"images/topics/".$topicimage."\" border=\"0\" alt=\"$topictext\" title=\"$topictext\" align=\"right\" hspace=\"10\" vspace=\"10\"></a>" : "";

		basic($aid, $datetime, $title, $counter, bb_decode($bodytext), $posted, $topicid, $cimg, $topicname);

		OpenTable();

		echo "<center>[ <a href=\"index.php?name=$module_name&op=printpage&sid=$sid\" title=\""._PRINTER."\">"._PRINTER."</a> | <a href=\"index.php?name=$module_name&op=friendsend&sid=$sid\" title=\""._FRIEND."\">"._FRIEND."</a>";

		if (is_admin($admin)) {

			echo " | <a href=\"".$admin_file.".php?op=AddStory\">"._ADD."</a> | <a href=\"".$admin_file.".php?op=AddStory&id=$sid\">"._EDIT."</a> | <a href=\"".$admin_file.".php?op=DeleteStory&id=$sid\">"._DELETE."</a> ]</center>";

		} else {

			echo " ]</center>";

		}

		CloseTable();

		OpenTable();

		echo "<center><font class=\"option\">"._RATEARTICLE."</center></font></center><br>"

		."<table align=\"center\"><tr><td>"._AVERAGESCORE.": </td><td>".vote_graphic($ratings, $score)."</td><td>"._VOTES.":</td><td>$ratings</td></tr></table>"

		."<hr><table width=\"100%\" align=\"center\" border=\"0\"><tr><td><form action=\"index.php?name=$module_name\" method=\"post\">"

		."<input type=\"hidden\" name=\"sid\" value=\"$sid\">"

		."<input type=\"hidden\" name=\"op\" value=\"ratearticle\">"

		."<input type=\"radio\" name=\"score\" value=\"5\"> <img src=\"images/articles/stars-5.gif\" border=\"0\" alt=\""._EXCELLENT."\" title=\""._EXCELLENT."\"></td>"

		."<td><input type=\"radio\" name=\"score\" value=\"4\"> <img src=\"images/articles/stars-4.gif\" border=\"0\" alt=\""._VERYGOOD."\" title=\""._VERYGOOD."\"></td>"

		."<td><input type=\"radio\" name=\"score\" value=\"3\"> <img src=\"images/articles/stars-3.gif\" border=\"0\" alt=\""._GOOD."\" title=\""._GOOD."\"></td>"

		."<td><input type=\"radio\" name=\"score\" value=\"2\"> <img src=\"images/articles/stars-2.gif\" border=\"0\" alt=\""._REGULAR."\" title=\""._REGULAR."\"></td>"

		."<td><input type=\"radio\" name=\"score\" value=\"1\"> <img src=\"images/articles/stars-1.gif\" border=\"0\" alt=\""._BAD."\" title=\""._BAD."\"></td>"

		."<td align=\"right\"><input type=\"submit\" value=\""._CASTMYVOTE."\"></td></tr></form></table>";

		CloseTable();

		if ($associated != "") {

			OpenTable();

			echo "<center><font class=\"option\">"._ASTOPIC."</font></center><br>";

			$asso_t = explode("-", $associated);

			for ($i = 0; $i<sizeof($asso_t); $i++) {

				if ($asso_t[$i] != "") {

					$t = intval($asso_t[$i]);

					$result = $db->sql_query("SELECT sid, title, time FROM ".$prefix."_stories WHERE topic='$t' AND sid!='$sid' ORDER BY time DESC LIMIT 0, 10");

					while(list($s_sid, $title, $time)= $db->sql_fetchrow($result)) {

						echo "<table><tr><td><img src=\"images/blocks/News.gif\" border=\"0\" title=\"$title\"></td><td>$time - <a href=\"index.php?name=News&op=article&sid=$s_sid\" title=\"$title\">$title</a></td></tr></table>";

					}

				}

			}

			CloseTable();

		}

		if ($acomm == 0) {

			echo "<a name=\"$sid\"></a>";

			ShowComments($sid);

		}

		foot();

	} else {

		Header("Location: index.php");

	}

}



function ratearticle($sid, $score) {

    global $prefix, $db, $ratecookie;

    $score = intval($score);

    $sid = intval($sid);

    if ($score) {

        if ($score > 5) $score = 5;

		if ($score < 1) $score = 1;

		if ($score != 1 AND $score != 2 AND $score != 3 AND $score != 4 AND $score != 5) {

            Header("Location: index.php");

            die();

        }

        if (isset($ratecookie)) $r_cookie = explode(":", addslashes(base64_decode($ratecookie)));

        for ($i = 0; $i < sizeof($r_cookie); $i++) {

            if ($r_cookie[$i] == $sid) $a = 1;

        }

        if ($a == 1) {

            Header("Location: index.php?name=News&op=ratecomplete&sid=$sid&rated=1");

        } else {

            $result = $db->sql_query("UPDATE ".$prefix."_stories SET score=score+$score, ratings=ratings+1 WHERE sid='$sid'");

            $info = base64_encode("$rcookie$sid:");

            setcookie("ratecookie","$info",time()+3600);

            update_points(7);

            Header("Location: index.php?name=News&op=ratecomplete&sid=$sid");

        }

    } else {

        head();

        title(""._ARTICLERATING."");

        OpenTable();

        echo "<center>"._DIDNTRATE."<br><br>"._GOBACK."</center>";

        CloseTable();

        foot();

    }

}



function ratecomplete($sid, $rated=0) {

    head();

    title(""._ARTICLERATING."");

    OpenTable();

    if ($rated == 0) {

        echo "<center>"._THANKSVOTEARTICLE."<br><br>"

		."[ <a href=\"index.php?name=News&op=article&sid=$sid\">"._BACKTOARTICLEPAGE."</a> ]</center>";

    } elseif ($rated == 1) {

        echo "<center>"._ALREADYVOTEDARTICLE."<br><br>"

		."[ <a href=\"index.php?name=News&op=article&sid=$sid\">"._BACKTOARTICLEPAGE."</a> ]</center>";

    }

    CloseTable();

    foot();

}



function printpage($sid) {

    global $site_logo, $homeurl, $sitename, $datetime, $prefix, $db, $module_name, $defis, $ThemeSel;

	$defis = urldecode($defis);

    $sid = intval($sid);

	$result = $db->sql_query("SELECT title, time, hometext, bodytext, topic FROM ".$prefix."_stories WHERE sid='$sid' AND time <= NOW() AND status='1'");

    if ($db->sql_numrows($result) == 1) {

		list($title, $time, $hometext, $bodytext, $topic) = $db->sql_fetchrow($result);

		list($topictext) = $db->sql_fetchrow($db->sql_query("SELECT topictext FROM ".$prefix."_topics WHERE topicid='$topic'"));

		formatTimestamp($time);

		echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n"

		."<html>\n"

		."<head>\n"

		."<meta http-equiv=\"content-type\" content=\"text/html; charset="._CHARSET."\">\n"

		."<link rel=\"stylesheet\" href=\"templates/$ThemeSel/style.css\" type=\"text/css\">\n"

		."<title>$title $defis "._NEWS." $defis $sitename</title></head><body><table border=\"0\" align=\"center\"><tr><td><table border=\"0\" width=\"640\" cellpadding=\"0\" cellspacing=\"0\"><tr><td><table border=\"0\" width=\"640\" cellpadding=\"20\" cellspacing=\"1\" class=\"bodyline\"><tr><td><center><a href=\"$homeurl\"><img src=\"images/logos/$site_logo\" border=\"0\" alt=\"$sitename\"></a><br><br><font class=\"content\"><b>$title</b></font><br><font class=tiny><b>"._PDATE.":</b> $datetime<br /><b>"._PTOPIC.":</b> $topictext</font><br /><br /></center><font class=\"content\">".bb_decode($hometext)."<br /><br />".bb_decode($bodytext)."<br /><br /></font></td></tr></table></td></tr></table><br /><center><font class=\"content\">"._COMESFROM.": <a href=\"$homeurl\">$homeurl</a><br />"._THEURL.": <a href=\"$homeurl/index.php?name=$module_name&op=article&sid=$sid\">$homeurl/index.php?name=$module_name&op=article&sid=$sid</a></font></td></tr></table></body></html>";

	} else {

		Header("Location: index.php");

	}

}



function friendsend($sid) {

    global $user, $userinfo, $prefix, $db, $module_name, $pagetitle, $defis, $stop;

	$sid = intval($sid);

	$result = $db->sql_query("SELECT title FROM ".$prefix."_stories WHERE sid='$sid' AND time <= NOW() AND status='1'");

	if ($db->sql_numrows($result) == 1) {

		list($title) = $db->sql_fetchrow($result);

		$title = stripslashes($title);

		$pagetitle = "$defis "._NEWS." $defis $title $defis "._FRIEND."";

		head();

		title(""._FRIEND."");

		if ($stop) warning($stop, "", "", 1);

		OpenTable();

		echo "<center><font class=\"content\"><b>"._YOUSENDSTORY." \"$title\" "._TOAFRIEND."</b></center><br>"

		."<form action=\"index.php?name=$module_name\" method=\"post\">"

		."<input type=\"hidden\" name=\"sid\" value=\"$sid\">";

		if (is_user($user)) {

			getusrinfo($user);

			$yn = $userinfo['user_name'];

			$ye = $userinfo['user_email'];

		}

		echo "<table align=\"center\"><tr><td>"._YOURNAME.":</td><td><input type=\"text\" name=\"yname\" value=\"$yn\" size=\"30\"></td></tr>"

		."<tr><td>"._YOUREMAIL.":</td><td><input type=\"text\" name=\"ymail\" value=\"$ye\" size=\"30\"></td></tr>"

		."<tr><td>"._FFRIENDNAME.":</td><td><input type=\"text\" name=\"fname\" size=\"30\"></td></tr>"

		."<tr><td>"._FFRIENDEMAIL.":</td><td><input type=\"text\" name=\"fmail\" size=\"30\"></td></tr></table><br>"

		."<center><input type=\"hidden\" name=\"op\" value=\"sendstory\">\n"

		."<input type=\"submit\" value="._SEND.">\n"

		."</form></center>\n";

		CloseTable();

		foot();

	} else {

		Header("Location: index.php");

	}

}



function sendstory($sid, $yname, $ymail, $fname, $fmail) {

    global $sitename, $homeurl, $prefix, $db, $module_name, $stop;

	checkemail($ymail);

	checkemail($fmail);

	if (!$stop) {

		$sid = intval($sid);

		list($title, $time, $topic) = $db->sql_fetchrow($db->sql_query("SELECT title, time, topic FROM ".$prefix."_stories WHERE sid='$sid'"));

		$title = stripslashes($title);

		$time = stripslashes($time);

		$topic = intval($topic);

		list($topictext) = $db->sql_fetchrow($db->sql_query("SELECT topictext FROM ".$prefix."_topics WHERE topicid='$topic'"));

		$topictext = stripslashes($topictext);

		$subject = "$sitename - "._INTERESTING."";

		$message = ""._HELLO." $fname!<br />"._YOURFRIEND." $yname "._CONSIDERED."<br /><br />"._FSTORY.": $title<br />"._PDATE.": ".formatTimestamp($time)."<br />"._PTOPIC.": $topictext<br /><br />"._THEURL.": <a href=\"$homeurl/index.php?name=$module_name&op=article&sid=$sid\" target=\"_blank\">$homeurl/index.php?name=$module_name&op=article&sid=$sid</a><br /><br />"._YOUCANREAD.": <a href=\"$homeurl\" target=\"_blank\">$sitename</a><br />"._FSITEURL.": <a href=\"$homeurl\" target=\"_blank\">$homeurl</a>";

		mail_send($fmail, $ymail, $subject, $message, 0, 3);

		update_points(6);

		head();

		title(""._FRIEND."");

		warning(""._FSTORY." \"$title\" "._HASSENT." $fname", "?name=$module_name&op=article&sid=$sid", 5, 2);

		foot();

	} else {

		friendsend($sid);

	}

}



switch ($op) {

	default:

    news($new_topic);

    break;



	case "cat":

	cat($catid);

    break;

	

	case "article":

    article($sid);

    break;

	

	case "ratearticle":

    ratearticle($sid, $score);

    break;



    case "ratecomplete":

    ratecomplete($sid, $rated);

    break;



	case "printpage":

    printpage($sid);

    break;

	

	case "sendstory":

    sendstory($sid, $yname, $ymail, $fname, $fmail);

    break;



    case "friendsend":

    friendsend($sid);

    break;

}

?>